<?php
/************************************************************************/
/* DUNE by NPDS                                                         */
/* ===========================                                          */
/*                                                                      */
/*                                                                      */
/*                                                                      */
/* NPDS Copyright (c) 2002-2007 by Philippe Brunier                     */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/* module geoloc version 1.0                                            */
/* geoloc_set.php file 2007 by Jean Pierre Barbary (jpb)                */
/* dev team : Philippe Revilliod (Arenan)                               */
/************************************************************************/

if (!strstr($PHP_SELF,'admin.php')) { Access_Error(); }

include ('modules/'.$ModPath.'/lang/geoloc.lang-'.$language.'.php');

opentable();
   echo '
<table width="100%" cellspacing="2" cellpadding="2" border="0">
 <tr>
  <td class="header">'.geoloc_translate('Configuration du module geoloc').'</td>
 </tr>
 <tr>
  <td><font color="#F30">* </font>'.geoloc_translate('requis') .'</td>
 </tr>
</table>';
closetable();

function Configuregeoloc($subop, $ModPath, $ModStart, $class_sty_2, $ch_lat, $ch_lon, $cartyp) {
   if (file_exists('modules/'.$ModPath.'/geoloc_conf.php'))
   include ('modules/'.$ModPath.'/geoloc_conf.php');

   opentable();
   echo'<form action="admin.php" method="post">
   <table width="100%" cellspacing="2" cellpadding="2" border="1">
    <tr>
     <td width="30%">
     <span>'.geoloc_translate('Champ de table pour latitude').' <font color=red>*</font> : '.$ch_lat.'</span>
     </td>
     <td>
      <input type="text" " size="25" maxlength="3" name="ch_lat" value="'.$ch_lat.'" />
     </td>
    </tr>
    <tr>
     <td width="30%">
     <span>'.geoloc_translate('Champ de table pour longitude').'</span> <font color=red>*</font> : '.$ch_lon.'</span>
     </td>
     <td>
     <input type="text" " size="25" maxlength="3" name="ch_lon" value="'.$ch_lon.'" />
     </td>
    </tr>
    <tr>
     <td width="30%">
     <span class="'.$class_sty_2.'">'.geoloc_translate('Votre clef d\'API Google').'</span> <font color=red>*</font>
     </td>
     <td><input type="text" size="90" maxlength="255" name="key_id" value='.$key_id.' />
     </td>
    </tr>
    <tr>
    <td><b>'.geoloc_translate('Interface carte').'</b></td>
    </tr>
    <tr>
     <td width="30%">
     <span class="'.$class_sty_2.'">'.geoloc_translate('Type de carte').'</span> <font color=red>*</font>
     </td>
     <td>
     <select name="cartyp" size="1">
      <option>G_SATELLITE_MAP</option>
      <option>G_HYBRID_MAP</option>
      <option>G_NORMAL_MAP</option>
      <option>G_PHYSICAL_MAP</option>
      <option selected>'.$cartyp.'</option>
     </select>
     </td>
    </tr>
    <tr>
    <tr>
     <td width="30%">
     <span class="'.$class_sty_2.'">'.geoloc_translate('Unit&#xE9; des coordonn&#xE9;es').'</span> <font color=red>*</font>
     </td>
     <td>
      <select name="co_unit" size="1">
      <option>dd</option>
      <option>dms</option>
      <option selected>'.$co_unit.'</option>
     </select>
     </td>
    </tr>

     <td width="30%">
     <span class="'.$class_sty_2.'">'.geoloc_translate("Chemin des images").'</span> <font color=red>*</font>
     </td>
     <td><input type="text" size="25" maxlength="255" name="ch_img" value="'.$ch_img.'">
     </td>
    </tr>
    <tr>
     <td width="30%">
     <span class="'.$class_sty_2.'">'.geoloc_translate("Fichier image anonyme g&#xE9;or&#xE9;f&#xE9;renc&#xE9; en ligne").'</span> <font color=red>*</font>
    </td>
     <td><input type="text" size="25" maxlength="255" name="nm_img_acg" value="'.$nm_img_acg.'" />
     </td>
    </tr>
    <tr>
     <td width="30%">
     <span class="'.$class_sty_2.'">'.geoloc_translate("Fichier image membre g&#xE9;or&#xE9;f&#xE9;renc&#xE9; en ligne").'</span> <font color=red>*</font>
     </td>
     <td><input type="text" size="25" maxlength="255" name="nm_img_mbcg" value="'.$nm_img_mbcg.'">
     </td>
    </tr>
    <tr>
     <td width="30%">
     <span class="'.$class_sty_2.'">'.geoloc_translate('Fichier image membre g&#xE9;or&#xE9;f&#xE9;renc&#xE9;').'</span> <font color=red>*</font>
     </td>
     <td><input type="text" size="25" maxlength="255" name="nm_img_mbg" value="'.$nm_img_mbg.'" />
     </td>
    </tr>
    <tr>
     <td width="30%">
     <span class="'.$class_sty_2.'">'.geoloc_translate('Nom fichier image ombre').'</span> <font color=red>*</font>
     </td>
     <td>
     <input type="text" size="25" maxlength="25" name="nm_img_sha" value="'.$nm_img_sha.'" />
     </td>
    </tr>
    <tr>
     <td width="30%">
     <span class="'.$class_sty_2.'">'.geoloc_translate('Nom fichier image IP non g&#xE9;or&#xE9;f&#xE9;renc&#xE9;').'</span> <font color=red>*</font>
     </td>
     <td>
     <input type="text" size="25" maxlength="25" name="img_ipng" value="'.$img_ipng.'" />
     </td>
    </tr> 
    <tr>
     <td width="30%">
     <span class="'.$class_sty_2.'">'.geoloc_translate('Largeur icone des  markers').'</span> <font color=red>*</font>
     </td>
     <td>
     <input type="text" size="25" maxlength="3" name="w_ico" value="'.$w_ico.'" />
     </td>
    <tr>
     <td width="30%">
     <span class="'.$class_sty_2.'">'.geoloc_translate('Hauteur icone des  markers').'</span> <font color=red>*</font>
     </td>
     <td>
     <input type="text" size="25" maxlength="3" name="h_ico" value="'.$h_ico.'" />
     </td>
    </tr>
    <tr>
     <td width="30%">
     <span class="'.$class_sty_2.'">'.geoloc_translate('Style fenetre info').'</span> <font color=red>*</font>
     </td>
     <td>
     <input type="text" size="25" maxlength="50" name="sty_fen_inf" value="'.$sty_fen_inf.'" />
     </td>
    </tr>
    <tr>
    <td><b>'.geoloc_translate('Interface bloc').'</b></td>
    </tr>
    <tr>
     <td width="30%">
     <span class="'.$class_sty_2.'">'.geoloc_translate('Type de carte').'</span> <font color=red>*</font>
     </td>
     <td>
     <select name="cartyp_b" size="1">
      <option>G_SATELLITE_MAP</option>
      <option>G_HYBRID_MAP</option>
      <option>G_NORMAL_MAP</option>
      <option>G_PHYSICAL_MAP</option>
      <option selected>'.$cartyp_b.'</option>
     </select>
     </td>
    </tr>
    <tr>
     <td width="30%">
     <span class="'.$class_sty_2.'">'.geoloc_translate('Fichier image membre g&#xE9;or&#xE9;f&#xE9;renc&#xE9;').'</span> <font color=red>*</font>
     </td>
     <td><input type="text" size="25" maxlength="50" name="img_mbgb" value="'.$img_mbgb.'">
     </td>
    </tr>
    <tr>
     <td width="30%">
     <span class="'.$class_sty_2.'">'.geoloc_translate('Largeur icone des  markers').'</span> <font color=red>*</font>
     </td>
     <td>
     <input type="text" size="25" maxlength="3" name="w_ico_b" value="'.$w_ico_b.'" />
     </td>
    <tr>
     <td width="30%">
     <span class="'.$class_sty_2.'">'.geoloc_translate('Hauteur icone des  markers').'</span> <font color=red>*</font>
     </td>
     <td>
     <input type="text" size="25" maxlength="3" name="h_ico_b" value="'.$h_ico_b.'" />
     </td>
    </tr>
    <tr>
    <td><b>Styles</b></td>
    </tr>
    <tr>
     <td width="30%">
     <span class="'.$class_sty_2.'">'.geoloc_translate('Classe de style titre').'</span> </td><td><input type="text" size="25" maxlength="255" name="class_sty_1" value="'.$class_sty_1.'">
     </td>
    </tr>
    <tr>
     <td width="30%">
     <span class="'.$class_sty_2.'">'.geoloc_translate("Classe de style sous-titre").'</span>
     </td>
     <td>
     <input type="text" size="25" maxlength="255" name="class_sty_2" value="'.$class_sty_2.'" />
     </td>
    </tr>
   </table>';
   
   echo '<br /><input class="bouton_standard" type="submit" value="'.geoloc_translate('Sauver').'" />
   
   <input type="hidden" name="op" value="Extend-Admin-SubModule" />
   <input type="hidden" name="ModPath" value="'.$ModPath.'" />
   <input type="hidden" name="ModStart" value="'.$ModStart.'" />
   <input type="hidden" name="subop" value="SaveSetgeoloc" />
   </form>';
   closetable();
}

function SaveSetgeoloc($ch_lat, $ch_lon, $key_id, $cartyp, $co_unit, $ch_img, $nm_img_acg, $nm_img_mbcg, $nm_img_mbg, $nm_img_sha, $img_ipng, $w_ico, $h_ico, $sty_fen_inf, $cartyp_b, $img_mbgb, $w_ico_b, $h_ico_b, $class_sty_1, $class_sty_2, $ModPath, $ModStart, $opt_lat, $opt_lon) {
   //==> modifie le fichier de configuration
   $file_conf = fopen("modules/$ModPath/geoloc_conf.php", "w+");
   $content = "<?php \n";
   $content .= "/************************************************************************/\n";
   $content .= "/* DUNE by NPDS                                                         */\n";
   $content .= "/* ===========================                                          */\n";
   $content .= "/*                                                                      */\n";
   $content .= "/*                                                                      */\n";
   $content .= "/*                                                                      */\n";
   $content .= "/* NPDS Copyright (c) 2002-2008 by Philippe Brunier                     */\n";
   $content .= "/*                                                                      */\n";
   $content .= "/* This program is free software. You can redistribute it and/or modify */\n";
   $content .= "/* it under the terms of the GNU General Public License as published by */\n";
   $content .= "/* the Free Software Foundation; either version 2 of the License.       */\n";
   $content .= "/*                                                                      */\n";
   $content .= "/* module geoloc version 1.0                                            */\n";
   $content .= "/* geoloc_conf.php file 2008 by Jean Pierre Barbary (jpb)               */\n";
   $content .= "/* dev team : Philippe Revilliod (Arenan)                               */\n";
   $content .= "/************************************************************************/\n";
   $content .= "\$ch_lat = \"$ch_lat\"; // Champ lat dans sql \n";
   $content .= "\$ch_lon = \"$ch_lon\"; // Champ long dans sql \n";
   $content .= "\$key_id = \"$key_id\"; // Votre clef d'API \n";
   $content .= "// interface carte \n";
   $content .= "\$cartyp = \"$cartyp\"; // Type de carte \n";
   $content .= "\$co_unit = \"$co_unit\"; // Coordinates Units\n";
   $content .= "\$ch_img = \"$ch_img\"; // Chemin des images \n";
   $content .= "\$nm_img_acg = \"$nm_img_acg\"; // Nom fichier image anonyme gorfrenc en ligne \n";
   $content .= "\$nm_img_mbcg = \"$nm_img_mbcg\"; // Nom fichier image membre gorfrenc en ligne \n";
   $content .= "\$nm_img_mbg = \"$nm_img_mbg\"; // Nom fichier image membre gorfrenc \n";
   $content .= "\$nm_img_sha = \"$nm_img_sha\"; // Nom fichier ombre \n";
   $content .= "\$img_ipng = \"$img_ipng\"; // Nom fichier image IP non gorfrenc \n";
   $content .= "\$w_ico = \"$w_ico\"; // Largeur icone des markers \n";
   $content .= "\$h_ico = \"$h_ico\"; // Hauteur icone des markers\n";
   $content .= "\$sty_fen_inf = \"$sty_fen_inf\"; //fenetre info\n";
   $content .= "// interface bloc \n";
   $content .= "\$cartyp_b = \"$cartyp_b\"; // Type de carte pour le bloc \n";
   $content .= "\$img_mbgb = \"$img_mbgb\"; // Nom fichier image membre gorfrenc pour le bloc \n";
   $content .= "\$w_ico_b = \"$w_ico_b\"; // Largeur icone marker dans le bloc \n"; 
   $content .= "\$h_ico_b = \"$h_ico_b\"; // Hauteur icone marker dans le bloc\n";
   $content .= "// style \n";
   $content .= "\$class_sty_1 = \"$class_sty_1\"; //titre de la page \n";
   $content .= "\$class_sty_2 = \"$class_sty_2\"; //sous-titre de la page \n";
   $content .= "?>";

   fwrite($file_conf, $content);
   fclose($file_conf);
   //<== modifie le fichier de configuration
   //==> modifie le fichier google.js
   $file_js = fopen('modules/'.$ModPath.'/include/google.js', 'w');
   $content = '<script src="http://maps.google.com/maps?file=api&amp;v=2&amp;key='.$key_id.'" type="text/javascript"></script>';
   fwrite($file_js, $content);
   fclose($file_js);
   //<== modifie le fichier google.js
   
   function AfterSaveSetgeoloc($ModPath, $ModStart) {
   echo '<strong>Votre module est param&#xE9;tr&#xE9; allez &#xE0; la <a href = "modules.php?ModPath='.$ModPath.'&amp;ModStart=geoloc">G&#xE9;olocalisation</a> ou modifiez ci-dessous les param&#xE8;tres n&#xE9;cessaires</strong>';
}
}

if ($admin) {
   switch ($subop) {
       case "SaveSetgeoloc":
       SaveSetgeoloc($ch_lat, $ch_lon, $key_id, $cartyp, $co_unit, $ch_img, $nm_img_acg, $nm_img_mbcg, $nm_img_mbg, $nm_img_sha, $img_ipng, $w_ico, $h_ico, $sty_fen_inf, $cartyp_b, $img_mbgb, $w_ico_b, $h_ico_b, $class_sty_1, $class_sty_2, $ModPath, $ModStart, $opt_lat, $opt_lon);
       case "AfterSaveSetgeoloc":
       AfterSaveSetgeoloc($ModPath, $ModStart);
       default:
       Configuregeoloc($subop, $ModPath, $ModStart, $class_sty_2, $ch_lat, $ch_lon, $cartyp);
    break;
   }
}
?>