<?php
/************************************************************************/
/* DUNE by NPDS                                                         */
/* ===========================                                          */
/*                                                                      */
/* Based on PhpNuke 4.x source code                                     */
/*                                                                      */
/* NPDS Copyright (c) 2002-2007 by Philippe Brunier                     */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/* module geoloc version beta 1                                         */
/* geoloc.php file 2008 by Jean Pierre Barbary jpb                      */
/************************************************************************/




if (!eregi("modules.php", $PHP_SELF)) { die(); }
if (strstr($ModPath,"..") || strstr($ModStart,"..") || stristr($ModPath, "script") || stristr($ModPath, "cookie") || stristr($ModPath, "iframe") || stristr($ModPath, "applet") || stristr($ModPath, "object") || stristr($ModPath, "meta") || stristr($ModStart, "script") || stristr($ModStart, "cookie") || stristr($ModStart, "iframe") || stristr($ModStart, "applet") || stristr($ModStart, "object") || stristr($ModStart, "meta")) {
   die();
}

global $pdst, $language;
$pdst= "-1";

if (file_exists('modules/'.$ModPath.'/admin/pages.php')) {
   include ('modules/'.$ModPath.'/admin/pages.php');
}
include ('modules/'.$ModPath.'/geoloc_conf.php');
include_once('modules/'.$ModPath.'/lang/geoloc.lang-'.$language.'.php');


$scri='
    <script type="text/javascript"> 
var map;
var geocoder = null;
var userAdded = 1;
var marker_NE;
var marker_SW;
var border;
var groundOverlay;
var icon_NE;
var icon_SW;
var icon_move;
var box_k;
var boxes_k;

var layers = {
"ports": {"url": "http://www.grottes-et-karsts-de-chine.org/PortsPlaisance_Fr.kml", "name": "Ports de plaisances"},
"count": {"url": "http://www.grottes-et-karsts-de-chine.org/npds/Hunan.kml", "name": "Province du Guangxi"},
 "chongqing": {"url": "http://www.grottes-et-karsts-de-chine.org/pro_kml_file/gx.kml", "name": "Province du Guangxi"}, "hubei": {"url" : "http://www.grottes-et-karsts-de-chine.org/pro_kml_file/hb.kml", "name": "Hubei"}, "topo": {"url": "http://www.grottes-et-karsts-de-chine.org/top_kml/606.kml", "name": "Topographie de la grotte de Shuanghe"}, "guizhou": {"url": "http://www.grottes-et-karsts-de-chine.org/pro_kml_file/gz.kml", "name": "Guizhou"}, "picasa": {"url": "http://picasaweb.google.com/data/feed/base/user/jipexu/albumid/5054693855521000113?alt=rss&kind=photo&authkey=1ZyZNM9AZBY&hl=fr", "name": "Photo Picasa"}
};

    function initialize() {
      if (GBrowserIsCompatible()) {
        map = new GMap2(document.getElementById("map"),{draggableCursor: \'crosshair\', draggingCursor: \'move\'});
        map.setCenter(new GLatLng(27.4419, 117.1419), 4, G_PHYSICAL_MAP);
        map.addControl(new GScaleControl());
        map.addControl(new GLargeMapControl());
        map.addMapType(G_PHYSICAL_MAP);
        map.addControl(new GMenuMapTypeControl());
        geocoder = new GClientGeocoder();
        document.getElementById("url").value = "http://";
  
  for(var layer in layers) {
    addTR(layer, layers[layer].name);
  }
  document.getElementById(layer).checked = true;
  toggleGeoXML(layer, true);
  
  icon = new GIcon(); 
  icon.image = "http://www.grottes-et-karsts-de-chine.org/npds/modules/geoloc/images/point.png";
  //icon.shadow = "";
  icon.iconSize = new GSize(6, 6);
  //icon.shadowSize = new GSize(22, 20);
  icon.iconAnchor = new GPoint(10, 10);
  //icon.dragCrossImage = "";
  
  
  
  
  
  icon_NE = new GIcon(); 
  icon_NE.image = "http://imagine-it.org/google/marker_NE_icon.png";
  icon_NE.shadow = "";
  icon_NE.iconSize = new GSize(32, 32);
  icon_NE.shadowSize = new GSize(22, 20);
  icon_NE.iconAnchor = new GPoint(22, 10);
  icon_NE.dragCrossImage = "";

  icon_SW = new GIcon(); 
  icon_SW.image = "http://imagine-it.org/google/marker_SW_icon.png";
  icon_SW.shadow = "";
  icon_SW.iconSize = new GSize(32, 32);
  icon_SW.shadowSize = new GSize(22, 20);
  icon_SW.iconAnchor = new GPoint(6, 20);
  icon_SW.dragCrossImage = "";

  icon_move = new GIcon();
  icon_move.image = "http://imagine-it.org/google/marker_move_icon.png";
  icon_move.shadow = "";
  icon_move.iconSize = new GSize(32, 32);
  icon_move.shadowSize = new GSize(6, 20);
  icon_move.iconAnchor = new GPoint(6, 20);
  icon_move.dragCrossImage = "";
           
      }     
    }

function addGeoXML() {
  var theUrl = document.getElementById("url").value;
  theUrl = theUrl.replace(/^\s+/, "");
  theUrl = theUrl.replace(/\s+$/, "");
  if (theUrl.indexOf(\' \') != -1) {
    alert(\'Error - that address has a space in it\');
  } else {
    var id = "userAdded" + userAdded;
    layers[id] = {};
    layers[id].url = theUrl;
    layers[id].name = "User Layer " + userAdded;

    addTR(id);
    document.getElementById(id).checked = true;
    toggleGeoXML(id, true);
    userAdded++;
  }
}

function addTR(id) {
  var layerTR = document.createElement("tr");

  var inputTD = document.createElement("td");
  var input = document.createElement("input");
  input.type = "checkbox";
  input.id = id;
  input.name = "box_k";
  input.onclick = function () { toggleGeoXML(this.id, this.checked) };
  inputTD.appendChild(input);

  var nameTD = document.createElement("td");
  var nameA = document.createElement("a");
  nameA.href = layers[id].url;
  var name = document.createTextNode(layers[id].name);
  nameA.appendChild(name);
  nameTD.appendChild(nameA);

  layerTR.appendChild(inputTD);
  layerTR.appendChild(nameTD);
  document.getElementById("sidebarTBODY").appendChild(layerTR);
}

function zoomToGeoXML(geoXml) {
  var center = geoXml.getDefaultCenter();
  var span = geoXml.getDefaultSpan();
  var sw = new GLatLng(center.lat() - span.lat() / 2,
                       center.lng() - span.lng() / 2);
  var ne = new GLatLng(center.lat() + span.lat() / 2,
                       center.lng() + span.lng() / 2);
  var bounds = new GLatLngBounds(sw, ne);
  map.setCenter(center);
  map.setZoom(map.getBoundsZoomLevel(bounds));
}

function toggleGeoXML(id, checked) {
  if (checked) {
    var geoXml = new GGeoXml(layers[id].url);
    GEvent.addListener(geoXml, \'load\', function() {
      if (geoXml.loadedCorrectly()) {
        geoXml.gotoDefaultViewport(map);
        layers[id].geoxml = geoXml;
        document.getElementById("status").innerHTML = "";
      }
    });
    layers[id].geoXml = geoXml;
    map.addOverlay(layers[id].geoXml);
    document.getElementById("status").innerHTML = "<img src=\"images/loader_grey.gif\" />Loading...";
  
  } else if (layers[id].geoXml) {
    map.removeOverlay(layers[id].geoXml);
  }
}

    function showAddress(address) {
      if (geocoder) {
        geocoder.getLatLng(
          address,
          function(point) {
            if (!point) {
              alert(address + " not found");
            } else {
              map.setCenter(point, 13);
              var marker = new GMarker(point);
              map.addOverlay(marker);
              marker.openInfoWindowHtml(address);
            }
          }
        );
      }
    }
    //////////////////
    function initialPosition() {
  map.clearOverlays();
  var bounds = map.getBounds();
  var span = bounds.toSpan();
  var newSW = new GLatLng(bounds.getSouthWest().lat() + span.lat()/5, 
                          bounds.getSouthWest().lng() + span.lng()/5);
  var newNE = new GLatLng(bounds.getNorthEast().lat() - span.lat()/5, 
                          bounds.getNorthEast().lng() - span.lng()/5);

  var newBounds = new GLatLngBounds(newSW, newNE);

  marker_NE = new GMarker(newBounds.getNorthEast(), {draggable: true, icon: icon_NE});
  GEvent.addListener(marker_NE, \'dragend\', function() {
    updatePolyline();
  });

  marker_SW = new GMarker(newBounds.getSouthWest(), {draggable: true, icon: icon_SW});
  GEvent.addListener(marker_SW, \'dragend\', function() {
    updatePolyline();
  });
  
  marker_move = new GMarker( new GLatLng(((marker_SW.getPoint().lat() + marker_NE.getPoint().lat()) / 2), (marker_NE.getPoint().lng() + marker_SW.getPoint().lng()) / 2), {draggable: true, icon: icon_move}) ;
  GEvent.addListener(marker_move, \'dragend\', function() { updatePolyline() ; }) ;
  marker_move.savePoint = marker_move.getPoint() ;			// Save for later

  map.addOverlay(marker_NE);
  map.addOverlay(marker_SW);
  map.addOverlay(marker_move);

  updatePolyline();
}

function updatePolyline() {
  if (border) {
    map.removeOverlay(border);
  }


  // Check for moved center...

  if ( marker_move.getPoint() != marker_move.savePoint )
  {
    var x = marker_move.getPoint().lat() - marker_move.savePoint.lat() ;
    var y = marker_move.getPoint().lng() - marker_move.savePoint.lng() ;
    marker_SW.setPoint( new GLatLng( marker_SW.getPoint().lat() + x, marker_SW.getPoint().lng() + y) ) ;
    marker_NE.setPoint( new GLatLng( marker_NE.getPoint().lat() + x, marker_NE.getPoint().lng() + y) ) ;

  } else						// Center not moved so move center
  {
    var x = (marker_SW.getPoint().lat() + marker_NE.getPoint().lat()) / 2 ;
    var y = (marker_NE.getPoint().lng() + marker_SW.getPoint().lng()) / 2 ;
    marker_move.setPoint( new GLatLng(x,y) ) ;
  }

  marker_move.savePoint = marker_move.getPoint() ;			// Save for later

  var points = [
      marker_NE.getPoint(),
      new GLatLng(marker_SW.getPoint().lat(), marker_NE.getPoint().lng()),
      marker_SW.getPoint(),
      new GLatLng(marker_NE.getPoint().lat(), marker_SW.getPoint().lng()),
      marker_NE.getPoint()];
  border = new GPolyline(points, "#fff600");

  map.addOverlay(border);

  updateGroundOverlay();
  updateCode();  
}

function updateGroundOverlay() {
  if (groundOverlay) {
    map.removeOverlay(groundOverlay);
  }

  groundOverlay = new GGroundOverlay (
    document.getElementById("theUrl").value,
    new GLatLngBounds(marker_SW.getPoint(), marker_NE.getPoint()));

  map.addOverlay(groundOverlay);
}

function updateCode() {
  var code = [];

  if (document.getElementById("outputTypeJS").checked) {
    code.push(\'var pointCenter = new GLatLng(\' + map.getCenter().toUrlValue() + \');\');
    code.push(\'var map = new GMap2(document.getElementById("map"));\');
    code.push(\'map.setCenter(pointCenter, \' + map.getZoom() + \');\');
    code.push(\'\');
    code.push(\'var pointSW = new GLatLng(\' + marker_SW.getPoint().toUrlValue() + \');\');
    code.push(\'var pointNE = new GLatLng(\' + marker_NE.getPoint().toUrlValue() + \');\');
    code.push(\'\');
    code.push(\'var groundOverlay = new GGroundOverlay(\');
    code.push(\'   "\' + document.getElementById("theUrl").value + \'", \');
    code.push(\'   new GLatLngBounds(pointSW, pointNE));\');
    code.push(\'\');
    code.push(\'map.addOverlay(groundOverlay);\');
    var codeHTML = code.join("<br/>");
    document.getElementById("code").innerHTML = codeHTML;
    //prettyPrint();
  } else {
    code.push(\'&lt;?xml version="1.0" encoding="UTF-8"?&gt;\');
    code.push(\'&lt;kml xmlns="http://earth.google.com/kml/2.1"&gt;\');
    code.push(\'  &lt;Folder&gt;\');
    code.push(\'    &lt;name&gt;Ground Overlays&lt;/name&gt;\');
    code.push(\'    &lt;description&gt;Examples of ground overlays&lt;/description&gt;\');
    code.push(\'    &lt;GroundOverlay&gt;\');
    code.push(\'      &lt;Icon&gt;\');
    code.push(\'        &lt;href&gt; \' + document.getElementById("theUrl").value);
    code.push(\'        &lt;/href&gt;\');
    code.push(\'      &lt;/Icon&gt;\');
    code.push(\'      &lt;LatLonBox&gt;\');
    code.push(\'        &lt;north&gt;\' + marker_NE.getPoint().lat() + \'&lt;/north&gt;\');
    code.push(\'        &lt;south&gt;\' + marker_SW.getPoint().lat() + \'&lt;/south&gt;\');
    code.push(\'        &lt;east&gt;\' + marker_NE.getPoint().lng() + \'&lt;/east&gt;\');
    code.push(\'        &lt;west&gt;\' + marker_SW.getPoint().lng() + \'&lt;/west&gt;\');
    code.push(\'      &lt;/LatLonBox&gt;\');
    code.push(\'    &lt;/GroundOverlay&gt;\');
    code.push(\'  &lt;/Folder&gt;\');
    code.push(\'&lt;/kml&gt;\');
    var codeHTML = code.join("<br/>");
    document.getElementById("code").innerHTML = codeHTML;
  }
}
    
 function removeAll() {

 map.clearOverlays();
 var boxes_k = document.getElementsByName("box_k");
 for(var i = 0; i < boxes_k.length; i++) {
  boxes_k[i].checked = false;
 }
}
   
    
    
    
    
    
window.onload=initialize;
  </script>
';
$affi='








<form action="#" onsubmit="showAddress(this.address.value); return false">
        <input type="text" size="60" name="address" value="Suiyang, CN" />
        <input type="submit" value="Geocode!" />
      </form>
    
    <br/>
    <input id="url" value="http://www.grottes-et-karsts-de-chine.org/pro_kml_file/gz.kml" size="60"/>
    <input type="button" value="Add" onClick="addGeoXML();"/>
 
    <table>
    <tr>
    <td>
    <div>
    <div id="map" style=" position:relative; width: 600px; height: 400px; float:left; border: 1px solid black;"></div>
    <div id="sidebar" style=" position:relative; float:left; overflow-vertical:scroll; height: 400px; width:150px; border:1px solid black">
    <table id="sidebarTABLE">
    <tbody id="sidebarTBODY"><tr><td><a href="#" onclick="removeAll(); box_k.checked = false;return false">Clear</a></td></tr>
    </tbody>
    </table>
    <div id="status" style="text-align:center; color: #ff0000"></div>
    </div>
    </div>
    </td>
    </tr>
    <tr>
    <td>
    <input id="theUrl" type="text" size="40" value="http://bbs.keyhole.com/ubb/z0302a1700/etna.jpg"/>
    <input type="button" value="Add/Update" onClick="initialPosition();"/>
    <input type="button" value="Clear" onClick="map.removeOverlay(groundOverlay);map.removeOverlay(border);map.removeOverlay(marker_NE);map.removeOverlay(marker_SW);map.removeOverlay(marker_move);document.getElementById(\'code\').innerHTML =\'\';"/>
        <br/>

    <input type="radio" name="outputType" id="outputTypeKML" onclick="updateCode()"/> KML Output
    &nbsp; 
    <input type="radio" name="outputType" id="outputTypeJS" checked onclick="updateCode()"/> API Javascript Output 
    </td>
    </tr>
    </table>
     
    <pre class="prettyprint" id="code" style="overflow: auto; width: 450px;">
    </pre>    
    ';
include ('header.php');
    
    echo $scri.$affi;
    echo "<p># Recherche d'un lieu par géocodage : rechercher sur la carte un lieu une adresse ou un code postal(basé sur le geocoder de google) en implémentation la possibilité de rechercher avec d'autre geocoder ie Yahoo...<br /># Affichage de fichiers KML prédéfinis ou/et Upload et affichage de vos fichiers KML ou kmz (fichier kml compréssés) georss (fichier kml compressés).Par exemple fichier kml polygones, polylines<br /># Affichage d'une image : génération du code javascript et du fichier kml</p>";

include ('footer.php');
?>