<?php
/************************************************************************/
/* DUNE by NPDS                                                         */
/* ===========================                                          */
/*                                                                      */
/*                                                                      */
/*                                                                      */
/* NPDS Copyright (c) 2002-2008 by Philippe Brunier                     */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/* module geoloc version 1.0                                            */
/* geoloc_bloc.php file 2008 by Jean Pierre Barbary (jpb)               */
/* dev team : Philippe Revilliod (Arenan)                               */
/************************************************************************/

$ModPath='geoloc';
include ('modules/'.$ModPath.'/geoloc_conf.php'); 
$content = '';
$content .= '<div id="map_bloc"></div>
<script type="text/javascript">

//==> construction carte pour le bloc sauf si il est dans la page geoloc
if (!document.getElementById("map"))
{
//<![CDATA[
// Icone localisation membre
var icon_b = new GIcon();
icon_b.image = "'.$ch_img.$img_mbgb.'";
icon_b.iconSize = new GSize('.$w_ico_b.', '.$h_ico_b.');
icon_b.iconAnchor = new GPoint(0, 6);
icon_b.infoWindowAnchor = new GPoint(5, 1);
    
  function geoloc_load_bloc() {  
var map_b = new GMap2(document.getElementById("map_bloc"));
//map_b.disableDragging();
map_b.addMapType(G_PHYSICAL_MAP);
map_b.setCenter(new GLatLng(25, 0),0,'.$cartyp_b.');
var bounds = new GLatLngBounds();
var gmarkersb = [];

//== fabrique le marker et le event window ==
function createMarkerB(point,name,html,type) {
       var marker = new GMarker(point,icon_b);
       marker.mytype = type;
       marker.myname = name;
       gmarkersb.push(marker);
       return marker;
      }
      
//== Fonction qui traite le fichier JSON ==
      process_it = function(doc) {
        //== Parse le  document JSON ==
        var jsonDatab = eval(\'(\' + doc + \')\');
        //== Fabrique les markers ==
        for (var i=0; i<jsonDatab.markers.length; i++) 
        {
          var type ="";
          var point = new GLatLng(jsonDatab.markers[i].lat, jsonDatab.markers[i].lng);
          var marker = createMarkerB(point, jsonDatab.markers[i].label, jsonDatab.markers[i].html, type);
          map_b.addOverlay(marker);
          bounds.extend(point);
        }
      }
      //== recupere et traite le fichier JSON ==
      GDownloadUrl("modules/'.$ModPath.'/include/data.json", process_it);
}

window.onload=geoloc_load_bloc;
window.onunload = GUnload;
//]]>
}
//<== construction carte pour le bloc sauf si il est dans la page geoloc
</script>
<div id=""><a href="modules.php?ModPath='.$ModPath.'&amp;ModStart=geoloc">[french]Carte[/french][english]Map[/english][chinese]&#x5730;&#x56FE;[/chinese]</a>';

if($admin)
$content .= '&nbsp;|&nbsp;<a href="admin.php?op=Extend-Admin-SubModule&amp;ModPath='.$ModPath.'&amp;ModStart=admin/geoloc_set">[french]Admin[/french] [english]Admin[/english] [chinese]Admin[/chinese]</a></div>';
$content = aff_langue($content);
?>